D4Science Infrastructure - Incident #12015

News Feed search function returns result up to mid April 2018
Jun 25, 2018 11:44 AM - Massimiliano Assante

Status: Closed Start date: Jun 25, 2018
Priority: Urgent Due date: Jun 26, 2018
Assignee: Luca Frosini % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

It seems that News Feed search function returns result up to mid February 2018, after that no results are returned. It could be related
to the fact that after upgrading to gCube 4.11 the Smart Executor social-data-indexer-se-plugin (which is the one triggering the
indexing of social networking data) was not restarted correctly.

Can you check?

See also previous Incident #11460

Related issues:

Related to D4Science Infrastructure - Incident #11460: News Feed search funct... Closed Mar 15,2018 Mar 15, 2018
Related to D4Science Infrastructure - Incident #12203: News Feed search funct... Closed Jul 19,2018  Jul 20, 2018
History

#1 - Jun 25, 2018 11:47 AM - Massimiliano Assante

- Subject changed from News Feed search function returns result up to mid March 2018 to News Feed search function returns result up to mid April
2018

| was able to retrieve results until Mid April 2018 not March as previously stated

#2 - Jun 25, 2018 11:48 AM - Massimiliano Assante
- Related to Incident #11460: News Feed search function returns result up to mid February 2018 added

#3 - Jun 25, 2018 11:48 AM - Massimiliano Assante

- Tracker changed from Support to Incident

#4 - Jun 25, 2018 12:15 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Luca Frosini

The smart-executor service is up and running and all the social-indexer plugin resources are correctly published on IS-Collector sevice.
But I'm not able to verify if the plugin above is scheduled properly. Please @luca.frosini@isti.cnr.it could you check ?

#5 - Jun 25, 2018 02:39 PM - Luca Frosini
- Blocked by Task #12018: Please update OrientDB ansible script added

#6 - Jun 25, 2018 02:45 PM - Massimiliano Assante

@luca.frosini@isti.cnr.it there must be a mistake, you set this ticket as Blocked by D4Science Infrastructure - Task #12018: Please update OrientDB
ansible script please check :)

#7 - Jun 25, 2018 02:46 PM - Luca Frosini

The 15th June instances 2 and 3 were restarted and this causes known issues on replication.

| stopped those instances and tried to restart social-indexer.d4science.org container. Unfortunately | get an exception dialoguing with orientdb.
The issue could be related to the client which has 2.2.30 version, instead the server is 2.2.17.

| tried to upgrade the server but the ansible script fails because the url where download the server is changed and also the format they use (a zip file
instead of tar.gz). | opened the ticket #12018 for that.
https://redmine.dev.d4science.org/issues/12018

Actually social-indexer.d4science.org is down.

#8 - Jun 25, 2018 02:47 PM - Luca Frosini

Massimiliano Assante wrote:

@luca.frosini@isti.cnr.it there must be a mistake, you set this ticket as Blocked by D4Science Infrastructure - Task #12018: Please update
OrientDB ansible script please check :)

@massimiliano.assante@isti.cnr.it you didn't give me the time to explain

#9 - Jun 25, 2018 02:50 PM - Massimiliano Assante

Ok sorry, i still don't get why social-indexer.d4science.org container would try "dialoguing” with orientdb though.

#10 - Jun 25, 2018 03:17 PM - Luca Frosini
- Blocked by deleted (Task #12018: Please update OrientDB ansible script)

#11 - Jun 25, 2018 03:18 PM - Luca Frosini

| was able to recover the situation.

#12 - Jun 25, 2018 03:22 PM - Luca Frosini
- Status changed from New to In Progress

- % Done changed from 0 to 100

#13 - Jun 25, 2018 03:22 PM - Luca Frosini

The smart-executor was restarted. Please close the ticket at your convenience

#14 - Jun 25, 2018 03:54 PM - Massimiliano Assante

- Status changed from In Progress to Closed
News Feed search function is back "on date"

#15 - Jul 19, 2018 11:52 AM - Massimiliano Assante

- Related to Incident #12203: News Feed search function returns result up to mid June 2018 added
